Package org.eclipse.rdf4j.benchmark.rio.impl.jmh_generated

## Class XMLParserBenchmark_jmhType_B3

- java.lang.Object
- - org.eclipse.rdf4j.benchmark.rio.ParserBenchmark
  - - org.eclipse.rdf4j.benchmark.rio.impl.XMLParserBenchmark
    - - org.eclipse.rdf4j.benchmark.rio.impl.jmh_generated.XMLParserBenchmark_jmhType_B1
      - - org.eclipse.rdf4j.benchmark.rio.impl.jmh_generated.XMLParserBenchmark_jmhType_B2
        - - org.eclipse.rdf4j.benchmark.rio.impl.jmh_generated.XMLParserBenchmark_jmhType_B3

- Direct Known Subclasses:
    `XMLParserBenchmark_jmhType`

      public class XMLParserBenchmark_jmhType_B3
      extends XMLParserBenchmark_jmhType_B2

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.benchmark.rio.impl.jmh_generated.XMLParserBenchmark_jmhType_B2

      `readyInvocation, readyIteration, readyTrial, setupInvocationMutex, setupInvocationMutexUpdater, setupIterationMutex, setupIterationMutexUpdater, setupTrialMutex, setupTrialMutexUpdater, tearInvocationMutex, tearInvocationMutexUpdater, tearIterationMutex, tearIterationMutexUpdater, tearTrialMutex, tearTrialMutexUpdater`

    - ### Fields inherited from class org.eclipse.rdf4j.benchmark.rio.ParserBenchmark

      `MAX_STRING_LENGTH, MIN_STRING_LENGTH, PERCENT_BNODE, PERCENT_LITERALS, TEXT_ONLY, TOTAL_STATEMENTS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XMLParserBenchmark_jmhType_B3()` |

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.benchmark.rio.impl.XMLParserBenchmark

      `getParser, main`

    - ### Methods inherited from class org.eclipse.rdf4j.benchmark.rio.ParserBenchmark

      `parseBufferedReader, parseStream, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLParserBenchmark_jmhType_B3

          public XMLParserBenchmark_jmhType_B3()